## org.apache.fop.tools.anttasks
Class Xslt

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.fop.tools.anttasks.Xslt

public class Xslt
extends org.apache.tools.ant.Task

Task to call the XSLT processor Xalan (part of xml.apache.org), which converts xml files from a source to an output using a stylesheet file

This task can take the following arguments:

- infile
- xsltfile
- outfile
- mergefile
- smart
- dependent

Of these arguments, infile, outfile and xsltfile are required.

smart defaults to 'no'. The other allowed value is 'yes'. If smart is set to 'yes'

xalan is only called if either the outfile is older than the infile or the stylesheet or the outfile doesn't exist.

dependent defaults to 'none'. Other possible values: a comma delimited list of file names which date is checked against the output file. This way you can name files which, if they have been modified, initiate a restart of the xslt process, like external entities etc.

The mergefile parameter causes this task to merge the contents of the specified file into the infile at the end. This is used for the font character mapping generation because the keys() xslt function doesn't work on an external document.

Author:
  Fotis Jannidis fotis@jannidis.de, Kelly A. Campbell camk@camk.net

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType`

Constructor Summary
`Xslt()`

Method Summary
`void` `execute()` Main method, which is called by ant.
`void` `setDependent(java.lang.String dependent)` Sets the value for dependent
`void` `setInfile(java.lang.String infile)` Sets the input file
`void` `setMergefile(java.lang.String mergefile)`
`void` `setOutfile(java.lang.String outfile)` Sets the output file
`void` `setSmart(java.lang.String smart)` Sets the value for smart
`void` `setXsltfile(java.lang.String xsltfile)` Sets the stylesheet file

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getTaskName, init, log, log, setDescription, setLocation, setOwningTarget, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Xslt

    public Xslt()

Method Detail

### setInfile

    public void setInfile(java.lang.String infile)

  Sets the input file

### setMergefile

    public void setMergefile(java.lang.String mergefile)

### setXsltfile

    public void setXsltfile(java.lang.String xsltfile)

  Sets the stylesheet file

### setOutfile

    public void setOutfile(java.lang.String outfile)

  Sets the output file

### setSmart

    public void setSmart(java.lang.String smart)

  Sets the value for smart
  Parameters:
    `option` - valid values:
    - yes: check whether output file is older than input or stylesheet
    - no: (default) do conversion everytime task is called

### setDependent

    public void setDependent(java.lang.String dependent)

  Sets the value for dependent
  Parameters:
    `option` - valid values:
    - none: (default)
    - comma delimited list of files whose existence and date is checked against the output file

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Main method, which is called by ant. Checks for the value of smart and calls startTransform accordingly
  Overrides:
    execute in class org.apache.tools.ant.Task

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.